#!/bin/bash


# Verifica e modifica o arquivo sources.list
SOURCES_LIST="/etc/apt/sources.list"

if [ -f "$SOURCES_LIST" ]; then
    echo "Comentando todas as linhas em $SOURCES_LIST..."
    sed -i 's/^/#/' "$SOURCES_LIST"  # Comenta todas as linhas existentes

    # Adiciona novas entradas
    echo "Adicionando novas entradas ao $SOURCES_LIST..."
    echo "deb http://arquivo.fastdisk.com.br/debian wheezy non-free main" | tee -a "$SOURCES_LIST" > /dev/null
    echo "deb http://arquivo.fastdisk.com.br/debian-security/ wheezy/updates non-free main" | tee -a "$SOURCES_LIST" > /dev/null
else
    echo "Arquivo $SOURCES_LIST não encontrado!"
    exit 1
fi

# Atualiza a lista de pacotes
echo "Atualizando a lista de pacotes..."
apt-get update

# Instala as dependências necessárias
echo "Instalando dependências..."
apt-get update  # Atualiza a lista de pacotes novamente após a modificação
apt-get install --force-yes -y libpcap0.8-dev libncurses5-dev build-essential autoconf automake libtool

# Executa o bootstrap
echo "Executando bootstrap..."
./bootstrap.sh

# Configura o projeto
echo "Configurando o projeto..."
./configure

# Compila o projeto
echo "Compilando o projeto..."
make

# Instala o projeto
echo "Instalando o projeto..."
make install

echo "Instalação concluída!"
